Forum

Playonlinux ne lance plus rien depuis la mise à jour

Författare Svar
jojos Sunday 20 May 2012 at 16:49
jojosAnonymous

Bonjour à tous !!

Je jouais tranquillement à Torchlight sur Steam au travers Playonlinux et voilà que celui ci veut se mettre à jour en 4.1.

Je m’exécute en lançant la mise à jour de mon OS (une archlinux) et met donc à jour POL ainsi que bumblebee (qui permet d'utiliser la carte graphique nvidia 'masquée').

Je relance Playonlinux et là malheur !!! Impossible de lancer mes jeux... Pas grand chose d'intéressant ne sort de la console. Je vous ais fait un petit cop'colle :

ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
[Check_OpenGL] Message: 32bits direct rendering is enabled
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
[Check_OpenGL] Message: 64bits direct rendering is enabled
[install_plugins] Message: Vérification de l'extension : Offline PlayOnLinux...
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
[main] Message: Filesystem is compatible
/usr/bin/optirun
[install_plugins] Message: Vérification de l'extension : Capture...
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
[install_plugins] Message: Vérification de l'extension : Transgaming Cedega...
[install_plugins] Message: Vérification de l'extension : WineImport...
[maj_check] Message: List is up to date
[install_plugins] Message: Vérification de l'extension : Wine Look...
[install_plugins] Message: Vérification de l'extension : ScreenCap...
[install_plugins] Message: Vérification de l'extension : PlayOnLinux Vault...
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'librrfaker.so' from LD_PRELOAD cannot be preloaded: ignored.
[POL_System_CheckFS] Message: Checking filesystem for Steam.exe
[POL_Wine_SetVersionEnv] Message: Setting wine version path: 1.3.37, x86
[POL_Wine_SetVersionEnv] Message: "/home/jojos/.PlayOnLinux//wine/linux-x86/1.3.37" exists
[POL_Wine] Message: Running wine-1.3.37 Steam.exe 
[POL_Wine] Message: Notice: PlayOnLinux deliberately disables winemenubuilder. See http://www.playonlinux.com/fr/page-26-Winemenubuilder.html


Les lignes : ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored. correspondent à un problème avec optirun (bumblebee). SI j'exécute POL sans optirun, j'obtient le même problème (rien ne se lance) mise à part que dans la sortie console je n'ai plus ces lignes.

J'ai essayer de faire ce qui est indiqué à cette page : http://www.playonlinux.com/fr/page-26-Winemenubuilder.html mais sans succès...

Quelqu'un aurait il une solution miracle ???

Ändrat av jojos

Quentin PÂRIS Sunday 20 May 2012 at 17:58
Quentin PÂRIS
Admin

Enlève la ligne PRE_WINE="optirun" dans playonlinux.cfg
petch Sunday 20 May 2012 at 20:17
petch
Developer


D'après la FAQ de Bumblebee il faut installer la version 32 bits de VirtualGL:
$ sudo apt-get install virtualgl-libs:i386

C'est tout ce que je sais, je n'ai pas de sous-système graphique hybride...
jojos Sunday 20 May 2012 at 23:39
jojosAnonymous

Zut, je repasse par la un peu tard... Du coup je pourrai pas tester vos pistes ce soir.

J'ai pas l'impression que le problème provienne de bumblebee, j'ai réussi à faire tourner Steam avec optirun en passant directement par Wine et non POL.

En tout cas, merci beaucoup pour vos retour ! J'essaie ça demain et vous tiens au courant ;)
jojos Monday 21 May 2012 at 10:03
jojosAnonymous

Enlève la ligne PRE_WINE="optirun" dans playonlinux.cfg

Quote from Tinou
Bien vu ;) tu avais raison !! C'est bien cette propriété qui bloquait POL !

Par contre, pour virtualgl j'ai bien installé les 2 versions 64 et 32...